body,
h1,
h2,
h3,
p,
button {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Poppins', sans-serif;
    line-height: 1.6;
    padding: 20px;
    background-color: #f4f4f4;
}

header {
    text-align: center;
    margin-bottom: 20px;
}

h1 {
    font-size: 2.5rem;
    color: #333;
}

h2 {
    font-size: 1.8rem;
    margin-bottom: 10px;
    color: #555;
}

form {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    margin-bottom: 20px;
}

form div {
    margin-bottom: 22px;
}

form label {
    font-weight: bold;
    display: block;
    margin-bottom: 5px;
    font-size: 0.9rem;
}

form input[type="text"],
form input[type="number"],
form input[type="checkbox"] {
    width: 99%;
    padding: 8px;
    margin-top: 5px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

form input[type="checkbox"] {
    width: auto;
    margin-top: 10px;
}

form button {
    background-color: #5d8736;
    color: white;
    padding: 10px 12px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 0.9rem;
    width: auto;
    margin-top: 10px;
}

form button:hover {
    background-color: #5d8736;
}

section {
    margin-bottom: 30px;
}

#incompleteBookList,
#completeBookList {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

#incompleteBookList div,
#completeBookList div {
    background-color: #fff;
    padding: 15px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

#incompleteBookList div button,
#completeBookList div button {
    padding: 5px 10px;
    margin: 5px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#incompleteBookList div button[data-testid="bookItemIsCompleteButton"] {
    background-color: #ffc107;
    color: #fff;
}

#completeBookList div button[data-testid="bookItemIsCompleteButton"] {
    background-color: #dc3545;
    color: #fff;
}

button:hover {
    opacity: 0.8;
}
